Package org.kapott.hbci.sepa.jaxb.pain_002_001_11

# Class TaxAmount2

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_002_001_11.TaxAmount2

public class TaxAmount2 extends Object

Java class for TaxAmount2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TaxAmount2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Rate" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.11}PercentageRate" minOccurs="0"/>
             <element name="TaxblBaseAmt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.11}ActiveOrHistoricCurrencyAndAmount" minOccurs="0"/>
             <element name="TtlAmt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.11}ActiveOrHistoricCurrencyAndAmount" minOccurs="0"/>
             <element name="Dtls" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.11}TaxRecordDetails2" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected List<TaxRecordDetails2>`
`dtls`
`protected BigDecimal`
`rate`
`protected ActiveOrHistoricCurrencyAndAmount`
`taxblBaseAmt`
`protected ActiveOrHistoricCurrencyAndAmount`
`ttlAmt`

## Constructor Summary

Constructors
Constructor
Description
`TaxAmount2()`

## Method Summary

Modifier and Type
Method
Description
`List<TaxRecordDetails2>`
`getDtls()`
Gets the value of the dtls property.
`BigDecimal`
`getRate()`
Gets the value of the rate property.
`ActiveOrHistoricCurrencyAndAmount`
`getTaxblBaseAmt()`
Gets the value of the taxblBaseAmt property.
`ActiveOrHistoricCurrencyAndAmount`
`getTtlAmt()`
Gets the value of the ttlAmt property.
`void`
`setRate(BigDecimal value)`
Sets the value of the rate property.
`void`
`setTaxblBaseAmt(ActiveOrHistoricCurrencyAndAmount value)`
Sets the value of the taxblBaseAmt property.
`void`
`setTtlAmt(ActiveOrHistoricCurrencyAndAmount value)`
Sets the value of the ttlAmt property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### rate

protected BigDecimal rate

### taxblBaseAmt

protected ActiveOrHistoricCurrencyAndAmount taxblBaseAmt

### ttlAmt

protected ActiveOrHistoricCurrencyAndAmount ttlAmt

### dtls

protected List<TaxRecordDetails2> dtls

## Constructor Details

### TaxAmount2

public TaxAmount2()

## Method Details

### getRate

public BigDecimal getRate()
Gets the value of the rate property.

Returns:
  possible object is `BigDecimal`

### setRate

public void setRate(BigDecimal value)
Sets the value of the rate property.

Parameters:
  `value` - allowed object is `BigDecimal`

### getTaxblBaseAmt

public ActiveOrHistoricCurrencyAndAmount getTaxblBaseAmt()
Gets the value of the taxblBaseAmt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

### setTaxblBaseAmt

public void setTaxblBaseAmt(ActiveOrHistoricCurrencyAndAmount value)
Sets the value of the taxblBaseAmt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`

### getTtlAmt

public ActiveOrHistoricCurrencyAndAmount getTtlAmt()
Gets the value of the ttlAmt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

### setTtlAmt

public void setTtlAmt(ActiveOrHistoricCurrencyAndAmount value)
Sets the value of the ttlAmt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`

### getDtls

public List<TaxRecordDetails2> getDtls()
Gets the value of the dtls property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the dtls property.

For example, to add a new item, do as follows:

        getDtls().add(newItem);

Objects of the following type(s) are allowed in the list `TaxRecordDetails2`